GWT 2.7.0

## com.google.gwt.typedarrays.client
Class Uint8ArrayNative

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.typedarrays.client.ArrayBufferViewNative
              com.google.gwt.typedarrays.client.Uint8ArrayNative

All Implemented Interfaces:
  ArrayBufferView, Uint8Array, Uint8ClampedArray

    public final class Uint8ArrayNative

extends ArrayBufferViewNative
implements Uint8ClampedArray

JS native implementation of `Uint8Array` and, where natively supported, `Uint8ClampedArray`.

This should generally not be referenced directly -- see `TypedArrays` and `JsUtils`.

Field Summary

Fields inherited from interface com.google.gwt.typedarrays.shared.Uint8Array
`BYTES_PER_ELEMENT`

Constructor Summary
`protected` | `Uint8ArrayNative()`

Method Summary
`static Uint8ArrayNative` | `create(ArrayBuffer buffer)` Create a `Uint8Array` instance.
`static Uint8ArrayNative` | `create(ArrayBuffer buffer, int byteOffset)` Create a `Uint8Array` instance.
`static Uint8ArrayNative` | `create(ArrayBuffer buffer, int byteOffset, int length)` Create a `Uint8Array` instance.
`static Uint8ArrayNative` | `create(int length)` Create a `Uint8Array` instance.
`static Uint8ArrayNative` | `create(int[] array)` Create a `Uint8Array` instance from an array.
`static Uint8ArrayNative` | `create(JavaScriptObject array)` Create a `Uint8Array` instance from a JavaScript array-like object.
`static Uint8ArrayNative` | `create(short[] array)` Create a `Uint8Array` instance from an array.
`static Uint8ArrayNative` | `createClamped(ArrayBuffer buffer)` Create a `Uint8ClampedArray` instance.
`static Uint8ArrayNative` | `createClamped(ArrayBuffer buffer, int byteOffset)` Create a `Uint8ClampedArray` instance.
`static Uint8ArrayNative` | `createClamped(ArrayBuffer buffer, int byteOffset, int length)` Create a `Uint8ClampedArray` instance.
`static Uint8ArrayNative` | `createClamped(int length)` Create a `Uint8ClampedArray` instance.
`static Uint8ArrayNative` | `createClamped(int[] array)` Create a `Uint8Array` instance from an array.
`static Uint8ArrayNative` | `createClamped(JavaScriptObject array)` Create a `Uint8ClampedArray` instance from a JavaScript array-like object.
`static Uint8ArrayNative` | `createClamped(short[] array)` Create a `Uint8Array` instance from an array.
`short` | `get(int index)` Retrieve one element of this view.
`int` | `length()` The length in elements of this view.
`void` | `set(int[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(int[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(int index, int value)` Set one element in this view.
`void` | `set(short[] array)` Set multiple elements in this view from an array, storing starting at 0.
`void` | `set(short[] array, int offset)` Set multiple elements in this view from an array, storing starting at the requested offset.
`void` | `set(Uint8Array array)` Set multiple elements in this view from another view, storing starting at 0.
`void` | `set(Uint8Array array, int offset)` Set multiple elements in this view from another view, storing starting at the requested offset.
`Uint8ArrayNative` | `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Uint8ArrayNative` | `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

Methods inherited from class com.google.gwt.typedarrays.client.ArrayBufferViewNative
`buffer, byteLength, byteOffset`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView
`buffer, byteLength, byteOffset`

Constructor Detail

### Uint8ArrayNative

    protected Uint8ArrayNative()

Method Detail

### create

    public static Uint8ArrayNative create(ArrayBuffer buffer)

  Create a `Uint8Array` instance.

  Parameters:
    `buffer` -
  Returns:
    a `Uint8Array` instance

### create

    public static Uint8ArrayNative create(ArrayBuffer buffer,
                                          int byteOffset)

  Create a `Uint8Array` instance.

  Parameters:
    `buffer` -
    `byteOffset` -
  Returns:
    a `Uint8Array` instance

### create

    public static Uint8ArrayNative create(ArrayBuffer buffer,
                                          int byteOffset,
                                          int length)

  Create a `Uint8Array` instance.

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -
  Returns:
    a `Uint8Array` instance

### create

    public static Uint8ArrayNative create(int length)

  Create a `Uint8Array` instance.

  Parameters:
    `length` -
  Returns:
    a `Uint8Array` instance

### create

    public static Uint8ArrayNative create(int[] array)

  Create a `Uint8Array` instance from an array.

  Parameters:
    `array` - an array of initial values
  Returns:
    a `Uint8Array` instance

### create

    public static Uint8ArrayNative create(JavaScriptObject array)

  Create a `Uint8Array` instance from a JavaScript array-like object.

  Parameters:
    `array` - a JS array or array-like object
  Returns:
    a `Uint8Array` instance

### create

    public static Uint8ArrayNative create(short[] array)

  Create a `Uint8Array` instance from an array.

  Parameters:
    `array` - an array of initial values
  Returns:
    a `Uint8Array` instance

### createClamped

    public static Uint8ArrayNative createClamped(ArrayBuffer buffer)

  Create a `Uint8ClampedArray` instance. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `buffer` -
  Returns:
    a `Uint8Array` instance

### createClamped

    public static Uint8ArrayNative createClamped(ArrayBuffer buffer,
                                                 int byteOffset)

  Create a `Uint8ClampedArray` instance. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `buffer` -
    `byteOffset` -
  Returns:
    a `Uint8Array` instance

### createClamped

    public static Uint8ArrayNative createClamped(ArrayBuffer buffer,
                                                 int byteOffset,
                                                 int length)

  Create a `Uint8ClampedArray` instance. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `buffer` -
    `byteOffset` -
    `length` -
  Returns:
    a `Uint8Array` instance

### createClamped

    public static Uint8ArrayNative createClamped(int length)

  Create a `Uint8ClampedArray` instance. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `length` -
  Returns:
    a `Uint8Array` instance

### createClamped

    public static Uint8ArrayNative createClamped(int[] array)

  Create a `Uint8Array` instance from an array. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `array` - an array of initial values
  Returns:
    a `Uint8Array` instance

### createClamped

    public static Uint8ArrayNative createClamped(JavaScriptObject array)

  Create a `Uint8ClampedArray` instance from a JavaScript array-like object. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `array` - a JS array or array-like object
  Returns:
    a `Uint8ClampedArray` instance

### createClamped

    public static Uint8ArrayNative createClamped(short[] array)

  Create a `Uint8Array` instance from an array. Must only be called if the environment natively supports clamped arrays -- otherwise `Uint8ClampedArrayNativeEmul` should be used instead.

  Parameters:
    `array` - an array of initial values
  Returns:
    a `Uint8Array` instance

### get

    public short get(int index)

  Description copied from interface: `Uint8Array`
  Retrieve one element of this view.

  Specified by:
    `get` in interface `Uint8Array`
  Returns:
    the requested element, 0-255

### length

    public int length()

  Description copied from interface: `Uint8Array`
  The length in elements of this view.

  Specified by:
    `length` in interface `Uint8Array`
  Returns:
    non-negative length

### set

    public void set(int index,
                    int value)

  Description copied from interface: `Uint8Array`
  Set one element in this view.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(int[] array)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(int[] array,
                    int offset)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(short[] array)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at 0.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(short[] array,
                    int offset)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from an array, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(Uint8Array array)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from another view, storing starting at 0.

  Specified by:
    `set` in interface `Uint8Array`

### set

    public void set(Uint8Array array,
                    int offset)

  Description copied from interface: `Uint8Array`
  Set multiple elements in this view from another view, storing starting at the requested offset.

  Specified by:
    `set` in interface `Uint8Array`

### subarray

    public Uint8ArrayNative subarray(int begin)

  Description copied from interface: `Uint8ClampedArray`
  Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

  Specified by:
    `subarray` in interface `Uint8Array`
  Specified by:
    `subarray` in interface `Uint8ClampedArray`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint8ClampedArray` instance

### subarray

    public Uint8ArrayNative subarray(int begin,
                                     int end)

  Description copied from interface: `Uint8ClampedArray`
  Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

  Specified by:
    `subarray` in interface `Uint8Array`
  Specified by:
    `subarray` in interface `Uint8ClampedArray`
  Parameters:
    `begin` - offset into this view if non-negative; if negative, an index from the end of this view
    `end` - offset into this view if non-negative; if negative, an index from the end of this view
  Returns:
    a new `Uint8ClampedArray` instance

GWT 2.7.0